org.apache.calcite.avatica.proto

## Interface Requests.ExecuteBatchRequestOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  Requests.ExecuteBatchRequest, Requests.ExecuteBatchRequest.Builder

Enclosing class:
  Requests

    public static interface Requests.ExecuteBatchRequestOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getConnectionId()` `optional string connection_id = 1;`
`com.google.protobuf.ByteString` `getConnectionIdBytes()` `optional string connection_id = 1;`
`int` `getStatementId()` `optional uint32 statement_id = 2;`
`Requests.UpdateBatch` `getUpdates(int index)` A batch of updates is a list<list<typevalue>>
`int` `getUpdatesCount()` A batch of updates is a list<list<typevalue>>
`List<Requests.UpdateBatch>` `getUpdatesList()` A batch of updates is a list<list<typevalue>>
`Requests.UpdateBatchOrBuilder` `getUpdatesOrBuilder(int index)` A batch of updates is a list<list<typevalue>>
`List<? extends Requests.UpdateBatchOrBuilder>` `getUpdatesOrBuilderList()` A batch of updates is a list<list<typevalue>>

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Method Detail

#### getConnectionId

    String getConnectionId()

`optional string connection_id = 1;`

#### getConnectionIdBytes

    com.google.protobuf.ByteString getConnectionIdBytes()

`optional string connection_id = 1;`

#### getStatementId

    int getStatementId()

`optional uint32 statement_id = 2;`

#### getUpdatesList

    List<Requests.UpdateBatch> getUpdatesList()

     A batch of updates is a list<list<typevalue>>

`repeated .UpdateBatch updates = 3;`

#### getUpdates

    Requests.UpdateBatch getUpdates(int index)

     A batch of updates is a list<list<typevalue>>

`repeated .UpdateBatch updates = 3;`

#### getUpdatesCount

    int getUpdatesCount()

     A batch of updates is a list<list<typevalue>>

`repeated .UpdateBatch updates = 3;`

#### getUpdatesOrBuilderList

    List<? extends Requests.UpdateBatchOrBuilder> getUpdatesOrBuilderList()

     A batch of updates is a list<list<typevalue>>

`repeated .UpdateBatch updates = 3;`

#### getUpdatesOrBuilder

    Requests.UpdateBatchOrBuilder getUpdatesOrBuilder(int index)

     A batch of updates is a list<list<typevalue>>

`repeated .UpdateBatch updates = 3;`